import { Component, OnInit } from '@angular/core';
import { TestService } from '../shared/test.service';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  dbRecs: string[];

  constructor(
    private _ts: TestService
  ) { }

  ngOnInit() {
    this._ts.getValues().subscribe(
      data => this.dbRecs = data
    );
  }

}
