import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable()
export class TestService {

  constructor(
    private http: HttpClient
  ) { }

  getValues(): Observable<string[]> {
    return this.http.get<string[]>("/api/values");
  }

}
